<?php

namespace Flat101\Megamenu\Model\Source;

class Stores implements \Magento\Framework\Option\ArrayInterface
{
    /**
     * @var \Magento\Store\Model\ResourceModel\Group\CollectionFactory
     */
    protected $storeGroups;

    /**
     * Stores constructor.
     * @param \Magento\Store\Model\ResourceModel\Group\CollectionFactory $storeGroups
     */
    public function __construct(
        \Magento\Store\Model\ResourceModel\Group\CollectionFactory $storeGroups
    ) {
        $this->storeGroups = $storeGroups;
    }

    /**
     * @return array
     */
    public function toOptionArray()
    {
        $options = [['label' => __('All Stores'), 'value' => 0]];
        $storeGroups = $this->storeGroups->create();
        if ($storeGroups->getSize()) {
            foreach ($storeGroups as $item) {
                $options[] = ['label' => $item->getName(), 'value' => $item->getId()];
            }
        }

        return $options;
    }
}
